Skip to main content
POST
Create server

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

server:create

Allow members to create servers

Path Parameters

organization
string
required

The organization slug

Body

application/json
name
string
required
Maximum string length: 30
provider
string
required
type
enum<string>
required
Available options:
app,
web,
loadbalancer,
database,
cache,
worker,
meilisearch,
openclaw
ubuntu_version
enum<string>
required
Available options:
24.04,
26.04
credential_id
integer
team_id
integer | null
php_version
enum<string>
Available options:
php5,
php56-old,
php56,
php70,
php71,
php72,
php73,
php74,
php80,
php81,
php82,
php83,
php84,
php85
database_type
enum<string> | null
Available options:
mysql84,
mysql9,
mariadb1011,
mariadb114,
postgres14,
postgres15,
postgres16,
postgres17,
postgres18,
null
recipe_id
integer | null
tags
string[] | null
aws
object
ocean2
object
hetzner
object
vultr
object
akamai
object
laravel
object
custom
object
add_key_to_source_control
boolean
default:true
database
string

Response

ServerResource

data
ServerResource · object
required
included
TagResource · object[]